Package org.pentaho.reporting.libraries.formula.function

## Interface FunctionRegistry

- All Known Implementing Classes:
    `DefaultFunctionRegistry`

      public interface FunctionRegistry

  The function registry contains all information about all function available. It is also the central point from where to get function meta-data or where to instantiate functions. All functions are queried by their cannonical name.
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Function` | `createFunction​(java.lang.String name)` |
    `FunctionCategory[]` | `getCategories()` |
    `java.lang.String[]` | `getFunctionNames()` |
    `java.lang.String[]` | `getFunctionNamesByCategory​(FunctionCategory category)` |
    `Function[]` | `getFunctions()` |
    `Function[]` | `getFunctionsByCategory​(FunctionCategory category)` |
    `FunctionDescription` | `getMetaData​(java.lang.String name)` |

- - ### Method Detail

    - #### getCategories

          FunctionCategory[] getCategories()

    - #### getFunctions

          Function[] getFunctions()

    - #### getFunctionsByCategory

          Function[] getFunctionsByCategory​(FunctionCategory category)

    - #### getFunctionNames

          java.lang.String[] getFunctionNames()

    - #### getFunctionNamesByCategory

          java.lang.String[] getFunctionNamesByCategory​(FunctionCategory category)

    - #### createFunction

          Function createFunction​(java.lang.String name)

    - #### getMetaData

          FunctionDescription getMetaData​(java.lang.String name)